Bug 62715 - depmod error with 'make modules_install' and at system startup
depmod error with 'make modules_install' and at system startup
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: kernel (Show other bugs)
skipjack-beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-04 15:55 EST by Miloš Komarčević
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-05 09:02:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miloš Komarčević 2002-04-04 15:55:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020311

Description of problem:
After compiling the kernel (2.4.18-0.4) and modules,
'make modules_install' exits with unresolved dependencies.
Modules seem to be in place in /lib/modules, but depmod fails
again when system is booting up.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.recompile the kernel (with configs/kernel-2.4.18-i686(or athlon).config + NTFS
module
2.make modules
3.make modules_install
	

Actual Results:  if [ -r System.map ]; then /sbin/depmod -ae -F System.map 
2.4.18-0.4custom; fi
depmod: *** Unresolved symbols in
/lib/modules/2.4.18-0.4custom/kernel/net/bridge/br_netfilter.o
depmod: 	br_forward_finish
depmod: 	br_handle_frame_finish
depmod: 	br_dev_xmit
make: *** [_modinst_post] Error 1

Expected Results:  
Modules are installed without depmod errors

Additional info:
Comment 1 Arjan van de Ven 2002-04-05 09:02:15 EST
Can you try to reproduce this with 2.4.18-0.14 or higher (once it becomes
available in rawhide); I fixed some of the config stuff for the bridging
netfilter.....
Comment 2 Miloš Komarčević 2002-04-09 10:08:52 EDT
No problems with 2.4.18-0.16...
Thanks

Note You need to log in before you can comment on or make changes to this bug.